/**
 *
 * This file is part of Tulip (www.tulip-software.org)
 *
 * Authors: David Auber, Patrick Mary, Morgan Mathiaut
 * from the LaBRI Visualization Team
 * Last modification : 15/01/2010
 *
 * Tulip is free software; you can redistribute it and/or modify
 * it under the terms of the Lesser GNU General Public License
 * as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 *
 * Tulip is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 */
#ifndef __TULIPPLUGININCLUDE_H
#define __TULIPPLUGININCLUDE_H

#include "tulip/AbstractProperty.h"
#include "tulip/DoubleProperty.h"
#include "tulip/LayoutProperty.h"
#include "tulip/BooleanProperty.h"
#include "tulip/StringProperty.h"
#include "tulip/Algorithm.h"
#include "tulip/ImportModule.h"
#include "tulip/SizeProperty.h"
#include "tulip/ColorProperty.h"
#include "tulip/IntegerProperty.h"
#include "tulip/MethodFactory.h"
#include "tulip/GraphMeasure.h"
#include "tulip/GraphTools.h"
#include "tulip/AcyclicTest.h"
#include "tulip/BiconnectedTest.h"
#include "tulip/ConnectedTest.h"
#include "tulip/PlanarityTest.h"
#include "tulip/SimpleTest.h"
#include "tulip/TreeTest.h"
#include "tulip/ExtendedClusterOperation.h"
#include "tulip/ForEach.h"
#endif
